# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Read simple configuration file formats
Name:		perl-ConfigReader-Simple
Version:	1.28
Release:	4.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/ConfigReader-Simple/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/ConfigReader-Simple-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(Test::Warn), perl(Test::Pod), perl(Test::Pod::Coverage)
BuildRequires:	perl(Test::Prereq), perl(Test::Output)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildArch:	noarch

%description
ConfigReader::Simple reads and parses simple configuration files.
It is designed to be smaller and simpler than the ConfigReader
module and is more suited to simple configuration files.

%prep
%setup -q -n ConfigReader-Simple-%{version}
%{__chmod} -x eg/example.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test

%files
%defattr(-,root,root,-)
%doc Changes eg/* LICENSE
%{perl_vendorlib}/ConfigReader/
%{_mandir}/man3/ConfigReader::Simple.3pm*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.28-4
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> 1.28-3
- Fix dist tag for RHEL-6 Beta

* Mon Feb  8 2010 Paul Howarth <paul@city-fan.org> 1.28-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation

* Wed Jun 10 2009 Paul Howarth <paul@city-fan.org> 1.28-1
- Update to 1.28 (upstream cleanup)
- BR: perl(Test::Prereq), perl(Test::Output)
- Update to SLES-compatible dist tag macros

* Thu Aug 21 2008 Paul Howarth <paul@city-fan.org> 1.27-1
- Update to 1.27
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Tue Mar 11 2008 Paul Howarth <paul@city-fan.org> 1.26-2
- Rebuild for perl 5.10.0 on Fedora 9

* Mon Nov 12 2007 Paul Howarth <paul@city-fan.org> 1.26-1
- Update to 1.26
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Turn off exec bit in example script to avoid bogus dependency

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 1.25-1
- Update to 1.25
- Fix dist tag for Fedora 7 onwards
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 1.24-1
- Update to 1.24
- Include LICENSE file

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.23-2
- Fix distribution tags for development releases

* Tue Apr 11 2006 Paul Howarth <paul@city-fan.org> 1.23-1
- Update to 1.23
- Simplify distribution-detection
- Remove __perl_package macro, used only twice
- Remove __perl_version macro, used only once
- Use search.cpan.org URLs
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead

* Thu Aug 25 2005 Paul Howarth <paul@city-fan.org> 1.21-1
- Update to 1.21
- Add Test::Warn, Test::Pod, and Test::Pod::Coverage buildreqs

* Wed Jul 13 2005 Paul Howarth <paul@city-fan.org> 1.18-3
- Fix bogus Group: tag
- Fix directory ownership issues
- Remove optimization flags in %%build, not needed for noarch package

* Thu May 19 2005 Paul Howarth <paul@city-fan.org> 1.18-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc and add example script

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.18-1
- Initial build
